=== debian/changelog ===
skimage (0.14.2-2) unstable; urgency=medium

  * Team upload
  * Disable numpy matrix deprecation warnings (Closes: #924606)

 -- Ole Streicher <olebole@debian.org>  Thu, 14 Mar 2019 22:58:01 +0100

skimage (0.14.2-1) unstable; urgency=medium

  * Team upload
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Fri, 08 Feb 2019 20:32:08 +0100

skimage (0.14.2-1~1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.14.2
  * Rediff Patches and switch to gbp style
  * Switch to experimental to check for problems

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Feb 2019 17:51:26 +0100

skimage (0.14.1-3) unstable; urgency=medium

  * Team upload

  [ yangfl ]
  * Code cleanup
  * Use Agg MPL backend for autopkgtests

  [ Ole Streicher ]
  * Handle deprecation of numpy (Closes: #917353)
  * Fix test_mpl_imshow
  * Add cloudpickle to build dependencies

  [ Andreas Tille ]
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Standards-Version: 4.3.0
  * cme fix dpkg-control

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Dec 2018 18:12:33 +0100
