## skimage 0.16.2

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,11 @@
 
 clean:
 	find . -name "*.so" -o -name "*.pyc" -o -name "*.md5" -o -name "*.pyd" | xargs rm -f
-	find . -name "*.pyx" -exec ./tools/rm_pyx_c_file.sh {} \;
+	find . -name "*.pyx" -exec ./tools/rm_pyx_assoc_c_cpp.sh {} \;
+	rm -f MANIFEST
+
+cleandoc:
+	rm -rf doc/build
 
 test:
 	$(PYTESTS) skimage --doctest-modules
@@ -19,5 +23,5 @@
 	$(PYTESTS) skimage --cov=skimage
 
 html:
-	pip install -q sphinx pytest-runner sphinx-gallery
+	pip install -q -r requirements/docs.txt
 	export SPHINXOPTS=-W; make -C doc html
