=== debian/changelog ===
skimage (0.16.2-2ubuntu1) focal; urgency=medium

  * Ignore errors building the docs for the examples.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 14:33:36 +0100

skimage (0.16.2-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:23:20 +0100

skimage (0.16.2-2) unstable; urgency=low

  * Fix arch dependent and independent builds
  * Copy data files in dh_auto_build

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Dec 2019 15:22:11 +0100

skimage (0.16.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version. Closes: #945389, #945393
  * Standards-Version: 4.4.1
  * More default d/rules
  * Drop Stefan van der Walt from Uploaders since he confirmed not to
    do packaging work any more (thanks for your previous work Stefan)

  [ Ole Streicher ]
  * Fix manual adjustment for build time tests
  * Add imageio and sphinx-copybutton build dependencies
  * Disable failures on warnings
  * Wrap and sort -a
  * Disable test that requires local server
  * Rediff patches and adjust patch names to the Subject line
  * Disable -j option use for sphinx
  * Update search.html to new way of generating Sphinx search box
  * Replace ADT_TMP this with AUTOPKGTEST_TMP

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Dec 2019 15:41:34 +0100

skimage (0.14.2-3) unstable; urgency=medium

  * Team upload
  * Drop Python 2 support (Closes: #938494)
  * Push Standards-Version to 4.4.0. Change homepage URL to https
  * Push compat to 12. Remove d/compat
  * Add gitlab-ci.yml for salsa

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Sep 2019 10:41:10 +0200
