=== debian/control ===
Source: skimage
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: cython3 (>= 0.23),
               debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-cloudpickle,
               python3-dask,
               python3-imageio,
               python3-matplotlib,
               python3-networkx,
               python3-numpy,
               python3-numpydoc,
               python3-pil,
               python3-pytest,
               python3-pywt,
               python3-scipy,
               python3-setuptools,
               python3-six,
               python3-tk
Build-Depends-Indep: python-matplotlib-doc,
                     python3-doc,
                     python3-sklearn,
                     python3-sphinx (>= 1.3.0),
                     python3-sphinx-copybutton,
                     python3-sphinx-gallery
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/skimage
Vcs-Git: https://salsa.debian.org/science-team/skimage.git
Homepage: https://scikit-image.org

Package: python3-skimage
Architecture: all
Depends: python3-matplotlib,
         python3-networkx,
         python3-numpy,
         python3-pil,
         python3-scipy,
         python3-six,
         python3-skimage-lib (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-dask,
            python3-pytest
Suggests: python-skimage-doc
Provides: ${python3:Provides}
Description: Python 3 modules for image processing
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package provides the Python 3 module.

Package: python-skimage-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-bootstrap,
         libjs-jquery,
         libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Documentation and examples for scikit-image
 scikit-image is a collection of image processing algorithms for
 Python.  It performs tasks such as image loading, filtering,
 morphology, segmentation, color conversions, and transformations.
 .
 This package contains documentation and example scripts for
 python-skimage.

Package: python3-skimage-lib
Architecture: any
Multi-Arch: same
Depends: python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-skimage
Provides: ${python3:Provides}
Description: Optimized low-level algorithms for Python 3 scikit-image
 This is an add-on package for python-skimage. It provides
 optimized, low-level implementations of algorithms.
 .
 This package provides the Python 3 libraries.
