=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/scikit-image-$1.tar.gz/" \
  https://github.com/scikit-image/scikit-image/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
