## skimage 0.17.2

=== doc/Makefile ===
--- 
+++ 
@@ -47,7 +47,11 @@
 
 release_notes:
 	@echo "Copying release notes"
-	@tail -n +4 `ls release/*.rst | sort -k 2 -t . -n | tail -n 1` > release/_release_notes_for_docs.rst
+	@cat `$(PYTHON) -c \
+		"from pathlib import Path; from skimage import io; \
+		 l = list(str(e) for e in Path('release').glob('release_*.*.*')); \
+		 l.sort(key=io.collection.alphanumeric_key); print(l[-1])"` \
+		| tail -n +4 > release/_release_notes_for_docs.rst
 
 html: api release_notes
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DEST)/html
@@ -130,7 +134,7 @@
 gitwash:
 	$(PYTHON) tools/gitwash/gitwash_dumper.py source scikit-image \
 	--project-url=https://scikit-image.org \
-	--project-ml-url=https://mail.python.org/mailman/listinfo/scikit-image \
+	--project-ml-url=https://mail.python.org/mailman3/lists/scikit-image.python.org/ \
 	--repo-name=scikit-image \
 	--github-user=scikit-image \
 	--source-suffix=.rst
