=== debian/changelog ===
skimage (0.17.2-2) unstable; urgency=low

  * Remove outdated link to bootstrap-responsive.css (Closes: #919852)
  * Declare Breaks+Provides for python-skimage (Closes: #964046)

 -- Ole Streicher <olebole@debian.org>  Wed, 01 Jul 2020 09:27:57 +0200

skimage (0.17.2-1) unstable; urgency=low

  * New upstream version 0.17.2
  * Manually copy orb_descriptor_positions.txt
  * Update build-dep version requirements
  * Add python3-tifffile build dep
  * Push dh compat to 13
  * Add Pandas and Seaborn to (test) build deps
  * Re-add skivi executable
  * Add "Rules-Requires-Root: no" to d/control
  * Disable binder reference
  * Exclude pngs from dh_strip_nondeterminism to keep their hashes

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jun 2020 12:45:53 +0200

skimage (0.16.2-3) unstable; urgency=medium

  * Don't include links to other versions (Closes: #955068)
  * Add myself to the list of uploaders
  * Resort d/copyright sections according to 'cme dpkg fix'

 -- Ole Streicher <olebole@debian.org>  Tue, 21 Apr 2020 21:22:43 +0200
