=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: skimage
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
+           Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3 (>= 0.23),
-               debhelper-compat (= 12),
+Build-Depends: cython3 (>= 0.29.13),
+               debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-cloudpickle,
                python3-dask,
                python3-imageio,
                python3-matplotlib,
-               python3-networkx,
+               python3-networkx (>= 2.0),
                python3-numpy,
                python3-numpydoc,
-               python3-pil,
+               python3-pandas,
+               python3-pil (>= 4.3.0),
                python3-pytest,
-               python3-pywt,
-               python3-scipy,
+               python3-pywt (>= 1.1.1),
+               python3-scipy (>= 1.0.1),
+               python3-seaborn,
                python3-setuptools,
                python3-six,
+               python3-tifffile,
                python3-tk
 Build-Depends-Indep: python-matplotlib-doc,
                      python3-doc,
@@ -27,10 +31,11 @@
                      python3-sphinx (>= 1.3.0),
                      python3-sphinx-copybutton,
                      python3-sphinx-gallery
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
 Homepage: https://scikit-image.org
+Rules-Requires-Root: no
 
 Package: python3-skimage
 Architecture: all
@@ -46,6 +51,8 @@
 Recommends: python3-dask,
             python3-pytest
 Suggests: python-skimage-doc
+Breaks: python-skimage
+Replaces: python-skimage
 Provides: ${python3:Provides}
 Description: Python 3 modules for image processing
  scikit-image is a collection of image processing algorithms for
