## skimage 0.18.0

=== debian/changelog ===
skimage (0.18.0-1) unstable; urgency=low

  * New upstream version 0.18.0
  * Rediff patches
  * Skip tests that need the python3-pooch package and internet connection
  * Add plotly build dependency
  * Push Standards-Version to 4.5.1. No changes needed
  * Replace myst-parser by recommonmark
  * Simplify d/copyright

 -- Ole Streicher <olebole@debian.org>  Wed, 16 Dec 2020 11:04:47 +0100
