=== debian/changelog ===
skimage (0.18.1-2) unstable; urgency=medium

  * Allow either SyntaxError or OSError for the truncated JPG exception
    (Closes: #990204)

 -- Ole Streicher <olebole@debian.org>  Wed, 23 Jun 2021 09:09:13 +0200

skimage (0.18.1-1) unstable; urgency=medium

  * New upstream version 0.18.1

 -- Ole Streicher <olebole@debian.org>  Sat, 26 Dec 2020 13:42:34 +0100
