=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 override_dh_installdocs-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	# hotfix SPHINXBUILD -- remove in next release
-	-\
+	+\
 		PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build:$$(python3 -c 'import sys;print(":".join(sys.path))') \
 		PYTHON=python$(PY3VER) \
 		SPHINXBUILD="python$(PY3VER) -m sphinx" \
@@ -67,6 +67,7 @@
 	for ver in $(PY3VERS); do \
 		i=.pybuild/cpython$${ver%.*}_$$ver/build/skimage; \
 		cp skimage/io/_plugins/*.ini $$i/io/_plugins/; \
+		cp skimage/feature/orb_descriptor_positions.txt $$i/feature/; \
 		rm -rf $$i/data || true; \
 		cp -av skimage/data $$i; \
 		for module in $$(find skimage ! -path '*/data/*' -name tests | cut -sd / -f 2-); do \
@@ -98,3 +99,6 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_sphinxdoc -XMathJax.js
 endif
+
+override_dh_strip_nondeterminism:
+	dh_strip_nondeterminism -X.png
