=== debian/tests/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
          python3-matplotlib,
          python3-networkx,
          python3-nose,
+         python3-pandas,
          python3-pil | python3-imaging,
          python3-pytest,
+         python3-seaborn,
          python3-skimage,
          python3-tk
 Restrictions: allow-stderr
