## skimage 0.18.3

=== .binder/requirements.txt ===
-r ../requirements/default.txt
# numpy is present both in default.txt and build.txt
# with pinning instructions which are slightly different, 
# therefore pip gives up and errors
Cython>=0.29.13
wheel
scikit-learn
dask[array]>=0.15.0
cloudpickle>=0.2.1
pandas>=0.23.0
seaborn>=0.7.1
sphinx-gallery
