=== debian/changelog ===
skimage (0.18.3-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:53:49 +0000

skimage (0.18.3-2) unstable; urgency=medium

  * Completely remove binder references in sphinx_gallery (Closes: #997706)

 -- Ole Streicher <olebole@debian.org>  Sun, 24 Oct 2021 17:51:10 +0200

skimage (0.18.3-1) unstable; urgency=medium

  * New upstream version 0.18.3

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 08:22:13 +0200

skimage (0.18.2-1) unstable; urgency=medium

  * New upstream version 0.18.2
  * Rediff patches
  * Bugfix: Enable pytest skipping at module level

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Aug 2021 08:37:07 +0200
