=== debian/control ===
--- 
+++ 
@@ -17,8 +17,10 @@
                python3-numpydoc,
                python3-pandas,
                python3-pil (>= 4.3.0),
+               python3-plotly (>= 4.10.0),
                python3-pytest,
                python3-pywt (>= 1.1.1),
+               python3-recommonmark,
                python3-scipy (>= 1.0.1),
                python3-seaborn,
                python3-setuptools,
@@ -31,7 +33,7 @@
                      python3-sphinx (>= 1.3.0),
                      python3-sphinx-copybutton,
                      python3-sphinx-gallery
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
 Homepage: https://scikit-image.org
