=== debian/rules ===
--- 
+++ 
@@ -97,7 +97,7 @@
 
 override_dh_sphinxdoc-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	dh_sphinxdoc -XMathJax.js
+	dh_sphinxdoc -XMathJax.js -Xclipboard.min.js
 endif
 
 override_dh_strip_nondeterminism:
