=== debian/control ===
--- 
+++ 
@@ -9,31 +9,32 @@
                dh-python,
                python3-all-dev,
                python3-cloudpickle,
-               python3-dask,
                python3-imageio,
                python3-matplotlib,
-               python3-networkx (>= 2.0),
+               python3-networkx,
                python3-numpy,
                python3-numpydoc,
                python3-pandas,
-               python3-pil (>= 4.3.0),
+               python3-pil,
                python3-plotly (>= 4.10.0),
+               python3-pooch,
                python3-pytest,
+               python3-pythran,
                python3-pywt (>= 1.1.1),
                python3-recommonmark,
-               python3-scipy (>= 1.0.1),
+               python3-scipy,
                python3-seaborn,
                python3-setuptools,
                python3-six,
                python3-tifffile,
-               python3-tk
-Build-Depends-Indep: python-matplotlib-doc,
-                     python3-doc,
+               python3-tk,
+               dh-strip-nondeterminism
+Build-Depends-Indep: python3-doc,
                      python3-sklearn,
-                     python3-sphinx (>= 1.3.0),
+                     python3-sphinx,
                      python3-sphinx-copybutton,
                      python3-sphinx-gallery
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
 Homepage: https://scikit-image.org
@@ -54,8 +55,8 @@
             python3-pytest
 Suggests: python-skimage-doc
 Breaks: python-skimage
+Provides: ${python3:Provides}
 Replaces: python-skimage
-Provides: ${python3:Provides}
 Description: Python 3 modules for image processing
  scikit-image is a collection of image processing algorithms for
  Python.  It performs tasks such as image loading, filtering,
