=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- mode: makefile; coding: utf-8 -*-
 
 # See also: scikits-learn
+export HOME=/tmp
 
 # don't optimize pngs, palette changes break tests and documented examples
 export NO_PNG_PKG_MANGLE := 1
@@ -22,6 +23,9 @@
 
 # Disable failures on warnings
 export SKIMAGE_TEST_STRICT_WARNINGS := False
+
+# Hotfix for #1022461: Force setuptools to be compatible with older version
+export SETUPTOOLS_USE_DISTUTILS=stdlib
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
