## skimage 0.21.0

=== debian/changelog ===
skimage (0.21.0-5) unstable; urgency=medium

  * Build depend on python3-imageio (>= 2.31.1-1) (Closes: #1040994)

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Jul 2023 22:22:55 +0200

skimage (0.21.0-4) unstable; urgency=medium

  * Skip 16-bit roundtrip PNG test failing on S390x

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Jul 2023 19:24:36 +0200

skimage (0.21.0-3) unstable; urgency=medium

  * Mark tests that fail on some platforms

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Jul 2023 11:16:40 +0200

skimage (0.21.0-2) unstable; urgency=medium

  * Drop Don-t-import-unavailable-imageio.v3.patch: package is available now
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 15:39:10 +0200

skimage (0.21.0-1) experimental; urgency=medium

  * New upstream version 0.21.0
  * Rediff patches
  * Remove unneeded min-versions from build-deps
  * Remove outdated Breaks/Replaces for python-skimage
  * Update build dependencies
  * Add new download-dependent patches to skip
  * Use Python3 versions of python and cython in build
  * Don't import unavailable imageio.v3
  * Remove skivi script: removed upstream
  * Don't try to write random.js
  * Remove version switch in docs
  * Remove examples that need external data access
  * Upload to experimental to play with it

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Jun 2023 17:38:04 +0200
