=== debian/control ===
--- 
+++ 
@@ -4,23 +4,27 @@
            Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3 (>= 0.29.13),
+Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
+               ninja-build,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-cloudpickle,
-               python3-imageio,
+               python3-imageio (>= 2.31.1),
+               python3-lazy-loader,
                python3-matplotlib,
+               python3-mesonpy,
                python3-networkx,
                python3-numpy,
                python3-numpydoc,
                python3-pandas,
                python3-pil,
-               python3-plotly (>= 4.10.0),
+               python3-plotly,
                python3-pooch,
                python3-pytest,
                python3-pythran,
-               python3-pywt (>= 1.1.1),
+               python3-pywt,
                python3-recommonmark,
                python3-scipy,
                python3-seaborn,
@@ -30,9 +34,11 @@
                python3-tk,
                dh-strip-nondeterminism
 Build-Depends-Indep: python3-doc,
+                     python3-pydata-sphinx-theme,
                      python3-sklearn,
                      python3-sphinx,
                      python3-sphinx-copybutton,
+                     python3-sphinx-design,
                      python3-sphinx-gallery
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
@@ -54,9 +60,7 @@
 Recommends: python3-dask,
             python3-pytest
 Suggests: python-skimage-doc
-Breaks: python-skimage
 Provides: ${python3:Provides}
-Replaces: python-skimage
 Description: Python 3 modules for image processing
  scikit-image is a collection of image processing algorithms for
  Python.  It performs tasks such as image loading, filtering,
