=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 		SPHINXOPTS="-D mathjax_path=MathJax.js" \
 		$(MAKE) -C doc html
 endif
-	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.txt
+	dh_installdocs -A CONTRIBUTORS.txt README.md CONTRIBUTING.rst
 
 # Test data and plugin ini not copied to .pybuild -- manually copy them
 override_dh_auto_build:
