=== debian/changelog ===
skimage (0.22.0-3ubuntu1) noble; urgency=medium

  * Use the vendored distutils in setuptools instead of trying to
    use the one from stdlib, which is no longer in Python 3.12

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 18 Apr 2024 19:58:15 +0000

skimage (0.22.0-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:40:56 +0000

skimage (0.22.0-3) unstable; urgency=medium

  [ Ole Streicher ]
  * Remove sphinx_gallery dependency (Closes: #1056132)
  * Remove intersphinx mapping (Closes: #1058024)

  [ Bas Couwenberg ]
  * Switch to cython3-legacy (Closes: #1056889)

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Dec 2023 12:43:35 +0100

skimage (0.22.0-2) unstable; urgency=medium

  * Increase tolerance for moments test on 32 bit (again)

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Oct 2023 08:46:12 +0200

skimage (0.22.0-1) unstable; urgency=medium

  * New upstream version 0.22.0
  * Rediff patches
  * Don't fail on passed tests that were marked as xfail
  * Don't use plot_cornea_spot_inpainting.py because of remote access
  * Add numpydoc to test deps

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Oct 2023 13:51:49 +0200
