=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: skimage
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: cython3,
+Build-Depends: cython3-legacy,
                debhelper-compat (= 13),
                dh-python,
                ninja-build,
@@ -38,8 +39,7 @@
                      python3-sklearn,
                      python3-sphinx,
                      python3-sphinx-copybutton,
-                     python3-sphinx-design,
-                     python3-sphinx-gallery
+                     python3-sphinx-design
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/skimage
 Vcs-Git: https://salsa.debian.org/science-team/skimage.git
