=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 export SKIMAGE_TEST_STRICT_WARNINGS := False
 
 # Hotfix for #1022461: Force setuptools to be compatible with older version
-export SETUPTOOLS_USE_DISTUTILS=stdlib
+# export SETUPTOOLS_USE_DISTUTILS=stdlib
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild
